| optoMDC

Loading...
Searching...
No Matches
optoMDC.registers.mre2_registers.MRE2MiscFeatures Class Reference
Inheritance diagram for optoMDC.registers.mre2_registers.MRE2MiscFeatures:

## Public Member Functions
| __init__ (self, board=None)
| GetScutiLED (self)
| SetScutiLED (self, value)
| DisableProxyClock (self)
| EnableProxyClock (self)
| EnableCPULED (self)
| DisableCPULED (self)
| DumpFPGAMappedMemory (self)
| DumpEEPROMMappedMemory (self)
| GetFPGAStatusRegister (self)

## Public Attributes
int | sys_id = 0x25
dict | scuti_led
dict | disable_proxy_clock
dict | enable_proxy_clock
dict | enable_cpu_led
dict | disable_cpu_led
dict | dump_fpga_mapped_memory
dict | dump_eeprom_mapped_memory
dict | get_fpga_status_register
| name = self.__class__.__name__

## Protected Attributes
bool | _readonly = False

## Detailed Description

    Device Functionality - Misc
    System ID: 0x25

    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Register Name             | Id   | Type        | Unit | Range | Default | Comment                                   |
    +===========================+======+=============+======+=======+=========+===========================================+
    | scuti_led                 | 0x00 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | disable_proxy_clock       | 0x01 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | ensable_proxy_clock       | 0x02 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | enable_cpu_led            | 0x03 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | disable_cpu_led           | 0x04 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | dump_fpga_mapped_memory   | 0x05 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | dump_eeprom_mapped_memory | 0x06 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | get_fpga_status_register  | 0x07 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.registers.mre2_registers.MRE2MiscFeatures.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ DisableCPULED()

optoMDC.registers.mre2_registers.MRE2MiscFeatures.DisableCPULED | ( |  | self | ) |

## ◆ DisableProxyClock()

optoMDC.registers.mre2_registers.MRE2MiscFeatures.DisableProxyClock | ( |  | self | ) |

## ◆ DumpEEPROMMappedMemory()

optoMDC.registers.mre2_registers.MRE2MiscFeatures.DumpEEPROMMappedMemory | ( |  | self | ) |

## ◆ DumpFPGAMappedMemory()

optoMDC.registers.mre2_registers.MRE2MiscFeatures.DumpFPGAMappedMemory | ( |  | self | ) |

## ◆ EnableCPULED()

optoMDC.registers.mre2_registers.MRE2MiscFeatures.EnableCPULED | ( |  | self | ) |

## ◆ EnableProxyClock()

optoMDC.registers.mre2_registers.MRE2MiscFeatures.EnableProxyClock | ( |  | self | ) |

## ◆ GetFPGAStatusRegister()

optoMDC.registers.mre2_registers.MRE2MiscFeatures.GetFPGAStatusRegister | ( |  | self | ) |

## ◆ GetScutiLED()

optoMDC.registers.mre2_registers.MRE2MiscFeatures.GetScutiLED | ( |  | self | ) |

## ◆ SetScutiLED()

optoMDC.registers.mre2_registers.MRE2MiscFeatures.SetScutiLED | ( |  | self,
|  |  | value )

## Member Data Documentation

## ◆ _readonly

bool optoMDC.registers.mre2_registers.MRE2MiscFeatures._readonly = False
| protected

## ◆ disable_cpu_led

dict optoMDC.registers.mre2_registers.MRE2MiscFeatures.disable_cpu_led

Initial value:
= {'id': self.sys_id << 8 | 0x04,
'type': float,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ disable_proxy_clock

dict optoMDC.registers.mre2_registers.MRE2MiscFeatures.disable_proxy_clock

Initial value:
= {'id': self.sys_id << 8 | 0x01,
'type': float,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ dump_eeprom_mapped_memory

dict optoMDC.registers.mre2_registers.MRE2MiscFeatures.dump_eeprom_mapped_memory

Initial value:
= {'id': self.sys_id << 8 | 0x06,
'type': float,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ dump_fpga_mapped_memory

dict optoMDC.registers.mre2_registers.MRE2MiscFeatures.dump_fpga_mapped_memory

Initial value:
= {'id': self.sys_id << 8 | 0x05,
'type': float,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ enable_cpu_led

dict optoMDC.registers.mre2_registers.MRE2MiscFeatures.enable_cpu_led

Initial value:
= {'id': self.sys_id << 8 | 0x03,
'type': float,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ enable_proxy_clock

dict optoMDC.registers.mre2_registers.MRE2MiscFeatures.enable_proxy_clock

Initial value:
= {'id': self.sys_id << 8 | 0x02,
'type': float,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ get_fpga_status_register

dict optoMDC.registers.mre2_registers.MRE2MiscFeatures.get_fpga_status_register

Initial value:
= {'id': self.sys_id << 8 | 0x07,
'type': float,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ name

optoMDC.registers.mre2_registers.MRE2MiscFeatures.name = self.__class__.__name__

## ◆ scuti_led

dict optoMDC.registers.mre2_registers.MRE2MiscFeatures.scuti_led

Initial value:
= {'id': self.sys_id << 8 | 0x00,
'type': float,
'unit': None,
'range': [0, 2],
'default': 0.5,
'value': 0.5}

## ◆ sys_id

int optoMDC.registers.mre2_registers.MRE2MiscFeatures.sys_id = 0x25

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre2_registers.py